#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long long int v,temp;
    long long int br = 0;
    long long int najveca1 = 1;
    long long int najveca2 = 2;
    long long int najveca5 = 5;
    long long int *najveca;
    scanf("%lld", &v);
    temp = v;


    //############################################//
    //###                                      ###//
    //### ODREDJIVANJE NAJVECIH NOVCANICA ZA V ###//
    //###                                      ###//
    //############################################//

    while(v/(najveca1*10) > 0)
        	najveca1 = najveca1*10;
    while (v/(najveca2*10) > 0)
        	najveca2 = najveca2*10;
    while (v/(najveca5*10) > 0)
        	najveca5 = najveca5*10;

    //printf("%lld\n %lld\n %lld", najveca1,najveca2,najveca5);

    //NAJVECA NOVCANICA OD 3 NAJVECE
	
	while (v != 0)
	{
	    while(najveca1 > v)
        	najveca1 = najveca1/10;
    	while (najveca2 > v)
        	najveca2 = najveca2/10;
    	while (najveca5 > v)
        	najveca5 = najveca5/10;
		najveca = &najveca1;
	    if ((*najveca) < najveca2)
	    	najveca = &najveca2;
	    if (*najveca < najveca5)
	    	najveca = &najveca5;

		br++;
		v = v-*najveca;
	}
	printf("%lld  ", br);
    return 0;
}